/* ***** BEGIN LICENSE BLOCK *****
 * 
 * Copyright (c) 1997-2008 Aliasource - Groupe LINAGORA
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of the
 *  License, (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 * 
 *  http://www.obm.org/                                              
 * 
 * ***** END LICENSE BLOCK ***** */
function checkCredentials(){
  var button = document.getElementById('subscription-button');
  if (button == null) {
    setTimeout(checkCredentials, 5);
    return;
  }
  if (!UtilsOBM.getOBMCredentials({}, {})) {
    button.disabled = true;
  }
  else {
  	button.disabled = false;
  }
}

function displaySubscrition(){
  var subscription = document.getElementById('subscription');
  if (subscription == null) {
		setTimeout(displaySubscrition, 5);
    return;
  }
  if (UtilsOBM.getBoolPref("extensions.obm.singleCalendar", true) == true ||
   UtilsOBM.getBoolPref("extensions.obm.calEvents.is_sync_enabled", true) == false ||
   UtilsOBM.isLightningInstalledAndEnabled() == false) {
    subscription.hidden = true;
  }
  else {
    subscription.hidden = false;
  }
}

function displayImport() {
	var importButton = document.getElementById('import-button');
	if (importButton == null) {
		setTimeout(displayImport, 5);
		return;
	}
	if( !UtilsOBM.getBoolPref("extensions.obm.calEvents.is_sync_enabled", true)) {
		importButton.hidden = true;
	} else {
		importButton.hidden = false;
	}
}

function displayPurge() {
	var purgeButton = document.getElementById('purge-button');
	if (purgeButton == null) {
		setTimeout(displayPurge, 5);
		return;
	}
	if( !UtilsOBM.getBoolPref("extensions.obm.calEvents.is_sync_enabled", true)) {
		purgeButton.hidden = true;
	} else {
		purgeButton.hidden = false;
	}
}


function refreshDisplay(){
  setTimeout(checkCredentials, 5);
  setTimeout(displaySubscrition, 5);
  setTimeout(displayImport, 5);
  setTimeout(displayPurge, 5);
}

refreshDisplay();


window.addEventListener("load",function() {
  var notif = document.getElementById('notificationList');
  var notifPref = UtilsOBM.getCharPref("extensions.obm.sendNotifications", "ask");
  //UO_logger.debug("notifPref : "+notifPref,false,false);
  if 	( notifPref == "never")		notif.selectedIndex = 0;
  else if ( notifPref == "always")	notif.selectedIndex = 1;
  else					notif.selectedIndex = 2;
},false);